summaryrefslogtreecommitdiff
path: root/dev-ruby/parser/parser-3.2.2.4.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-05 20:37:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-05 20:37:09 +0000
commit950a582457e3540054bb4e1704c4f2d124789e40 (patch)
treec41b380e0e0ccad49fb6138353a9d1b08d2f0169 /dev-ruby/parser/parser-3.2.2.4.ebuild
parentb35866bc9f6f5a6e1c17798efd31799f1d749faf (diff)
downloadsrcux-950a582457e3540054bb4e1704c4f2d124789e40.tar.gz
srcux-950a582457e3540054bb4e1704c4f2d124789e40.tar.xz
srcux-950a582457e3540054bb4e1704c4f2d124789e40.zip
Adding metadata
Diffstat (limited to 'dev-ruby/parser/parser-3.2.2.4.ebuild')
-rw-r--r--dev-ruby/parser/parser-3.2.2.4.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/dev-ruby/parser/parser-3.2.2.4.ebuild b/dev-ruby/parser/parser-3.2.2.4.ebuild
new file mode 100644
index 000000000000..ae52a5886cef
--- /dev/null
+++ b/dev-ruby/parser/parser-3.2.2.4.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_TASK_TEST="test"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_VERSION="${PV/_pre/.pre.}"
+
+RUBY_FAKEGEM_GEMSPEC="parser.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A production-ready Ruby parser written in pure Ruby"
+HOMEPAGE="https://github.com/whitequark/parser"
+SRC_URI="https://github.com/whitequark/parser/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc"
+IUSE=""
+
+DEPEND+=" =dev-util/ragel-6*"
+
+ruby_add_bdepend "
+ test? ( dev-ruby/minitest:5 )
+ dev-ruby/cliver
+"
+ruby_add_rdepend "=dev-ruby/ast-2.4* >=dev-ruby/ast-2.4.1 dev-ruby/racc"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ sed -i -e '/simplecov/ s:^:#:' test/helper.rb || die
+}
+
+each_ruby_compile() {
+ ${RUBY} -S rake generate || die
+}